Bug 608463 - Rawtherapee crashes on huge folders
Rawtherapee crashes on huge folders
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rawtherapee (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Thibault North
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-27 12:47 EDT by antonio montagnani
Modified: 2011-06-27 15:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:01:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description antonio montagnani 2010-06-27 12:47:54 EDT
Description of problem:
Rawtherapee crashes if many pictures are in folder

Version-Release number of selected component (if applicable):
3.0.0.21.a1.fc13.i686

How reproducible:
always

Steps to Reproduce:
1.start rawtherapee
2.try to open an huge folder
3.
  
Actual results:
it crashes

Expected results:
is should show all images 

Additional info:

My folder has more 800 images (that is normal for a semi-pro photographer
It works fine if folder is 50 images
Comment 1 Thibault North 2010-06-29 02:12:59 EDT
Hi,
There is a such report on upstream's issue tracker:
http://code.google.com/p/rawtherapee/issues/detail?id=71

No idea if a fix will come soon or not, the program is under heavy development.
There is an unofficial repo I maintain that has the most up to date patches against rawtherapee-staging, the development repository for RT.
You may want to try and see if it fixes your problem:
http://rawtherapee.com/forum/viewtopic.php?p=12074#12074

Cheers,
Thibault
Comment 2 antonio montagnani 2010-06-29 03:20:41 EDT
Tnx

Installed from your repo, some improvement (i.e. I feel that crashing is a little bit later) but it still crashes.

Joined up-stream's issue tracker: I agree with the comment that 500+ picture is normal in digital era.

Cheers
Comment 3 antonio montagnani 2010-07-01 08:44:59 EDT
Still no improvement  with rawtherapee-staging-3.0-0.15.a1.fc13.i686
Comment 4 Thibault North 2010-07-01 09:05:41 EDT
I just pushed the -debuginfo packages to the repo. Could you please try and run rt into gdb ?

I also totally agree that 500+ pictures is normal, and RT should be able to deal with that. 
Maybe it has something to do with this bug:
http://code.google.com/p/rawtherapee/issues/detail?id=86

Cheers,
Thibault
Comment 5 antonio montagnani 2010-07-01 10:24:13 EDT
rt %F -debuginfo
Processing file /usr/share/rawtherapee/profiles/crisp.pp3...
Processing file /usr/share/rawtherapee/profiles/neutral.pp3...
Processing file /usr/share/rawtherapee/profiles/default.pp3...
No such file or directory
Segmentation fault (core dumped)


not sure how to use debuginfo
Comment 6 Thibault North 2010-07-01 10:27:27 EDT
You can just:
# yum install rawtherapee-staging-debuginfo gdb

And then run it from gdb:
$ gdb rt
run
Comment 7 antonio montagnani 2010-07-01 10:38:28 EDT
latest line are:

[Thread 0x4594b70 (LWP 9071) exited]
[New Thread 0x206fb70 (LWP 9073)]
[New Thread 0xb8a00b70 (LWP 9074)]
[Thread 0xb8a00b70 (LWP 9074) exited]
[Thread 0x206fb70 (LWP 9073) exited]
[New Thread 0xb8a00b70 (LWP 9075)]
[New Thread 0xb9401b70 (LWP 9076)]
[Thread 0xb9401b70 (LWP 9076) exited]
[Thread 0xb8a00b70 (LWP 9075) exited]
[New Thread 0xb9401b70 (LWP 9077)]
[New Thread 0xb9e02b70 (LWP 9078)]
[Thread 0xb9e02b70 (LWP 9078) exited]
[Thread 0xb9401b70 (LWP 9077) exited]
[New Thread 0xb9e02b70 (LWP 9079)]
[New Thread 0xba803b70 (LWP 9080)]
[Thread 0xba803b70 (LWP 9080) exited]
[Thread 0xb9e02b70 (LWP 9079) exited]
[New Thread 0xba803b70 (LWP 9081)]
[New Thread 0xbb204b70 (LWP 9082)]
[Thread 0xbb204b70 (LWP 9082) exited]
[Thread 0xba803b70 (LWP 9081) exited]
[New Thread 0xbb204b70 (LWP 9083)]
[New Thread 0xbbc05b70 (LWP 9084)]
[Thread 0xbbc05b70 (LWP 9084) exited]
[Thread 0xbb204b70 (LWP 9083) exited]
[New Thread 0xbbc05b70 (LWP 9085)]
[New Thread 0xbc606b70 (LWP 9086)]
[Thread 0xbc606b70 (LWP 9086) exited]
[Thread 0xbbc05b70 (LWP 9085) exited]
[New Thread 0xbc606b70 (LWP 9087)]
[New Thread 0xbd007b70 (LWP 9088)]
[Thread 0xbd007b70 (LWP 9088) exited]
[Thread 0xbc606b70 (LWP 9087) exited]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb1effb70 (LWP 8385)]
0x00132191 in packed_load_raw ()
    at /usr/src/debug/rawtherapee-staging-3.0/rtengine/dcraw.cc:1787
1787		BAYER(row,i) = val;
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.6.5-1.fc13.i686 atk-1.30.0-1.fc13.i686 bzip2-libs-1.0.5-6.fc12.i686 cairo-1.8.10-1.fc13.i686 cairomm-1.8.4-1.fc13.i686 dbus-glib-0.84-3.fc13.i686 dbus-libs-1.2.24-1.fc13.i686 expat-2.0.1-10.fc13.i686 fontconfig-2.8.0-1.fc13.i686 freetype-2.3.11-3.fc13.i686 gamin-0.1.10-7.fc13.i686 glib2-2.24.1-1.fc13.i686 glibc-2.12-2.i686 glibmm24-2.24.1-1.fc13.i686 gtk2-2.20.1-1.fc13.i686 gtk2-engines-2.20.1-1.fc13.i686 gtkmm24-2.20.2-1.fc13.i686 gvfs-1.6.2-1.fc13.i686 ibus-gtk-1.3.5-2.fc13.i686 ibus-libs-1.3.5-2.fc13.i686 lcms-libs-1.19-1.fc13.i686 libX11-1.3.1-3.fc13.i686 libXau-1.0.5-1.fc12.i686 libXcomposite-0.4.1-2.fc13.i686 libXcursor-1.1.10-4.fc13.i686 libXdamage-1.1.2-2.fc13.i686 libXext-1.1-2.fc13.i686 libXfixes-4.0.4-2.fc13.i686 libXi-1.3-2.fc13.i686 libXinerama-1.1-2.fc13.i686 libXrandr-1.3.0-5.fc13.i686 libXrender-0.9.5-1.fc13.i686 libcanberra-0.24-1.fc13.i686 libcanberra-gtk2-0.24-1.fc13.i686 libcroco-0.6.2-4.fc13.i686 libgcc-4.4.4-2.fc13.i686 libgomp-4.4.4-2.fc13.i686 libgsf-1.14.17-1.fc13.i686 libiptcdata-1.0.4-2.fc12.i686 libjpeg-6b-46.fc12.i686 libogg-1.2.0-1.fc13.i686 libpng-1.2.43-1.fc13.i686 librsvg2-2.26.3-1.fc13.i686 libselinux-2.0.90-5.fc13.i686 libsigc++20-2.2.4.2-1.fc12.i686 libstdc++-4.4.4-2.fc13.i686 libtdb-1.2.1-2.fc13.i686 libtiff-3.9.2-3.fc13.i686 libtool-ltdl-2.2.6-20.fc13.i686 libudev-151-10.fc13.i686 libvorbis-1.3.1-1.fc13.i686 libxcb-1.5-1.fc13.i686 libxml2-2.7.7-1.fc13.i686 pango-1.28.0-1.fc13.i686 pangomm-2.26.0-2.fc13.i686 pixman-0.18.0-1.fc13.i686 zlib-1.2.3-23.fc12.i686
(gdb) 

How do I get a stack trace???
Comment 8 Thibault North 2010-07-01 10:47:30 EDT
Thanks!

To get the stack trace, just typing "backtrace" after the crash should work
(gdb) backtrace
Comment 9 antonio montagnani 2010-07-01 10:52:49 EDT
backtrace
Cannot access memory at address 0xb1efedac
Comment 10 Thibault North 2010-08-05 08:37:58 EDT
Well, anyways many users are affected by this bug and backtraces are available. Hopefully it will be fixed soon...
Comment 11 Bug Zapper 2011-06-01 11:27:14 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-27 15:01:14 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.